Bug 525920 - missing strings for [zh_CN], [ko], possibly others
Summary: missing strings for [zh_CN], [ko], possibly others
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Manuel Ospina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-27 07:55 UTC by Liam Li
Modified: 2010-12-04 07:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:37:49 UTC


Attachments (Terms of Use)
pic1 (47.33 KB, image/png)
2009-09-27 07:55 UTC, Liam Li
no flags Details
pic2 (49.94 KB, image/png)
2009-09-27 07:56 UTC, Liam Li
no flags Details
pic3 (37.70 KB, image/png)
2009-09-27 07:56 UTC, Liam Li
no flags Details
pic4 (54.80 KB, image/png)
2009-09-27 07:57 UTC, Liam Li
no flags Details

Description Liam Li 2009-09-27 07:55:00 UTC
Description of problem:

The attached pictures are the language issues during installation with simplified Chinese,
Version-Release number of selected component (if applicable):
anaconda 12.30

How reproducible:
100%

Comment 1 Liam Li 2009-09-27 07:55:42 UTC
Created attachment 362803 [details]
pic1

Comment 2 Liam Li 2009-09-27 07:56:17 UTC
Created attachment 362804 [details]
pic2

Comment 3 Liam Li 2009-09-27 07:56:38 UTC
Created attachment 362805 [details]
pic3

Comment 4 Liam Li 2009-09-27 07:57:04 UTC
Created attachment 362806 [details]
pic4

Comment 5 Chris Lumens 2009-09-28 13:56:48 UTC
#1 - Means we're either not using the right font, or the font does not contain all the necessary glyphs.  Any ideas?
#2 - Is being caused by our current build process.  I know David's fixed a bug like this before.
#3 - Should be picked up by the latest translation rebuild.
#4 - Appears to be a problem with the P_ function and strings not being marked for translation.

Reassigning to David because he's already familiar with two out of these four.  Lucky.

Comment 6 David Cantrell 2009-09-28 20:46:16 UTC
In pics #1 and #2, those strings are part of the anaconda.pot file.  The translation team just hasn't provided translation yet.

For pics #3 and #4, it looks like we missing fonts (again).

Comment 7 David Cantrell 2009-09-28 21:46:25 UTC
Reverse that, pics #3 and #4 have strings in the anaconda.pot file.  The translators just need to provide all of the translations for support languages.

Pic #2 is due to missing font information for Simplified Chinese.  Trying to track that down.

Pic #1 is a dupe of bug #525597, which I already have a fix for.

Comment 8 David Cantrell 2009-09-29 06:49:14 UTC
The issue in pic2 is caused by missing translation data in po/zh_CN.po.

So here's where this bug stands:

1) pic2, pic3, and pic4 are all issues for the translation team to solve.  The strings are missing from the po files.

2) pic1 is a dupe of bug #525597, for which I have submitted a patch to the anaconda list.

fedora-i18n-bugs:
The pictures attached to this bug demonstrate some missing translation strings from anaconda.  I have made sure the anaconda.pot contains the source strings and verified the data is missing from the po file.

If fedora-i18n-bugs is not the correct way to assign these bugs, please let me know.  The Fedora wiki was not very clear on how I should handle these.

Comment 9 Bug Zapper 2009-11-16 13:00:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-11-04 09:47:54 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-12-04 07:37:49 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.